var __create = Object.create;
var __defProp = Object.defineProperty;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __markAsModule = (target) => __defProp(target, "__esModule", {value: true});
var __exportStar = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, {get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable});
  }
  return target;
};
var __toModule = (module2) => {
  return __exportStar(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? {get: () => module2.default, enumerable: true} : {value: module2, enumerable: true})), module2);
};
var import_electron = __toModule(require("electron"));
var import_electron_window_state = __toModule(require("electron-window-state"));
const isDevelopment = !import_electron.app.isPackaged;
function createWindow() {
  const windowOptions = {
    maxWidth: 800,
    minHeight: 400,
    titleBarStyle: "hidden",
    title: "Emoji Picker",
    autoHideMenuBar: true,
    trafficLightPosition: {
      x: 20,
      y: 32
    },
    webPreferences: {
      contextIsolation: true,
      devTools: isDevelopment,
      spellcheck: false,
      nodeIntegration: true
    },
    show: false,
    center: true,
    skipTaskbar: true
  };
  const windowState = (0, import_electron_window_state.default)({
    defaultWidth: windowOptions.minWidth,
    defaultHeight: windowOptions.minHeight
  });
  const browserWindow = new import_electron.BrowserWindow({
    ...windowOptions,
    x: windowState.x,
    y: windowState.y,
    width: windowState.width,
    height: windowState.height,
    transparent: true
  });
  windowState.manage(browserWindow);
  browserWindow.once("ready-to-show", () => {
    browserWindow.show();
    browserWindow.focus();
  });
  const ret = import_electron.globalShortcut.register("CommandOrControl+J", () => {
    browserWindow.show();
    browserWindow.focus();
  });
  if (!ret) {
    console.log("registration failed");
  }
  const port = process.env.PORT || 3e3;
  if (isDevelopment) {
    void browserWindow.loadURL(`http://localhost:${port}`);
  } else {
    void browserWindow.loadFile("./dist/index.html");
  }
}
void import_electron.app.whenReady().then(createWindow);
import_electron.app.on("window-all-closed", () => {
  import_electron.app.quit();
});
import_electron.app.on("activate", () => {
  if (import_electron.BrowserWindow.getAllWindows().length === 0) {
    createWindow();
  }
});
